QGIS Application - Bug report #17751
Attribute table overwrites ids when selecting in search mode
2017-12-27 10:59 AM - David Signer

Status: Closed

Priority: High

Assignee: David Signer

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 25647
Description

When selecting an attribute in the search mode of the attribute table (Ctrl F) the value is overwritten.
https://user-images.githubusercontent.com/28384354/34377691-6¢18986¢-eaf2-11e7-84dd-a4fc385a1120.gif

History

#1 - 2017-12-27 02:52 PM - Saber Razmjooei
- Subject changed from Attributetable overwrite of ids when selecting in search mode to Attribute table overwrites ids when selecting in search mode

#2 - 2018-01-03 09:19 AM - David Signer

For the change to the search mode we could just reset the values on change like we do it in the SingleEditMode. But we have to save them (because of
change from single edit mode (when changed some field values)) to search mode.

But actually there is more than that. We got similar problems when switching from SingleEditMode to MultiEditMode:
https://user-images.githubusercontent.com/28384354/34513051-716f8f86-f066-11e7-844f-968b6c78ab49.gif

Or to the SearchMode when in MultiEditMode:

https://user-images.githubusercontent.com/28384354/34513050-71577a4a-f066-11e7-89a4-8b71a253986¢.gif

#3 - 2018-01-13 01:27 PM - Denis Rouzaud

- Crashes QGIS or corrupts data changed from No to Yes
- Priority changed from Normal to High

#4 - 2018-11-08 01:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#5 - 2018-11-08 02:09 PM - David Signer

Giovanni Manghi wrote:

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

This should be fixed with https:/github.com/qgis/QGIS/pull/8299 | don't know why it has been still open. Should | close it manually?
https://github.com/qgis/QGIS/pull/8299

#6 - 2018-11-08 02:38 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
